<template>
	<section class="mt-24 mb-24 text-center m-auto container py-10" id="home">
		<p v-if="dataCards.length === 0" class="mb-12 italic">Aucune carte disponible...</p>
		<div class="flex flex-wrap justify-center">
			<div v-for="card in dataCards"
			     class="p-6 w-1/3 yu-gi-card grid-rows-3 hover:bg-red-700 text-white transition duration-500 ease relative bg-red-600 p-6 rounded h-64 flex justify-center items-center flex-col mr-5 mb-5">
				<p class="text-3xl pb-2 text-center">{{card.name}}</p>
				<p class="text-center">{{card.description}}</p>
				<router-link :to="`/card/${card._id.$oid}`" class="absolute inset-0"></router-link>
			</div>
		</div>
		<!-- Handle message error -->
		<div v-if="error !== null" class="m-auto w-3/6 bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative"
		     role="alert">
			<strong class="font-bold">Une erreur est survenue!</strong>
			<span class="block sm:inline">{{error}}</span>
		</div>
	</section>
</template>

<script>
	/* eslint-disable */
	import ApiService from '../services/ApiService'

	export default {
		data () {
			return {
				dataCards: [],
				error: null
			}
		},
		async mounted () {
			/* Retrieve data cards */
			this.error = null

			try {
				this.dataCards = await ApiService.request({
					method: 'get',
					url: '/cards'
				})
			} catch (e) {
				this.dataCards = []
				this.error = 'Veuillez réessayer plus tard.'
			}
		}
	}
</script>
